<definitions xmlns:wsu="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd" xmlns:wsp="http://www.w3.org/ns/ws-policy" xmlns:wsp1_2="http://schemas.xmlsoap.org/ws/2004/09/policy" xmlns:wsam="http://www.w3.org/2007/05/addressing/metadata" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:tns="http://endpoint.tracauws.gov.at.pt/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns="http://schemas.xmlsoap.org/wsdl/" targetNamespace="http://endpoint.tracauws.gov.at.pt/" name="OperacoesTransitoService">
<types>
<xsd:schema>
<xsd:import namespace="http://endpoint.tracauws.gov.at.pt/" schemaLocation="OperacoesTransitoService.xsd"/>
</xsd:schema>
</types>
<message name="enviarMensagemTransito">
<part name="enviarMensagemTransitoPedido" type="tns:enviarMensagemTransitoPedido"/>
</message>
<message name="enviarMensagemTransitoResponse">
<part name="return" type="tns:enviarMensagemTransitoResposta"/>
</message>
<message name="obterMensagensTransitoNaoEntregues">
<part name="obterMensagensTransitoNaoEntreguesPedido" type="tns:obterMensagensTransitoNaoEntreguesPedido"/>
</message>
<message name="obterMensagensTransitoNaoEntreguesResponse">
<part name="return" type="tns:obterMensagensTransitoNaoEntreguesResposta"/>
</message>
<message name="obterEstadoDeclaracao">
<part name="obterEstadoDeclaracaoPedido" type="tns:obterEstadoDeclaracaoPedido"/>
</message>
<message name="obterEstadoDeclaracaoResponse">
<part name="return" type="tns:obterEstadoDeclaracaoResposta"/>
</message>
<message name="obterMensagensTransitoEntregues">
<part name="obterMensagensTransitoEntreguesPedido" type="tns:obterMensagensTransitoEntreguesPedido"/>
</message>
<message name="obterMensagensTransitoEntreguesResponse">
<part name="return" type="tns:obterMensagensTransitoEntreguesResposta"/>
</message>
<portType name="OperacoesTransito">
<operation name="enviarMensagemTransito">
<input wsam:Action="http://endpoint.tracauws.gov.at.pt/OperacoesTransito/enviarMensagemTransitoRequest" message="tns:enviarMensagemTransito"/>
<output wsam:Action="http://endpoint.tracauws.gov.at.pt/OperacoesTransito/enviarMensagemTransitoResponse" message="tns:enviarMensagemTransitoResponse"/>
</operation>
<operation name="obterMensagensTransitoNaoEntregues">
<input wsam:Action="http://endpoint.tracauws.gov.at.pt/OperacoesTransito/obterMensagensTransitoNaoEntreguesRequest" message="tns:obterMensagensTransitoNaoEntregues"/>
<output wsam:Action="http://endpoint.tracauws.gov.at.pt/OperacoesTransito/obterMensagensTransitoNaoEntreguesResponse" message="tns:obterMensagensTransitoNaoEntreguesResponse"/>
</operation>
<operation name="obterEstadoDeclaracao">
<input wsam:Action="http://endpoint.tracauws.gov.at.pt/OperacoesTransito/obterEstadoDeclaracaoRequest" message="tns:obterEstadoDeclaracao"/>
<output wsam:Action="http://endpoint.tracauws.gov.at.pt/OperacoesTransito/obterEstadoDeclaracaoResponse" message="tns:obterEstadoDeclaracaoResponse"/>
</operation>
<operation name="obterMensagensTransitoEntregues">
<input wsam:Action="http://endpoint.tracauws.gov.at.pt/OperacoesTransito/obterMensagensTransitoEntreguesRequest" message="tns:obterMensagensTransitoEntregues"/>
<output wsam:Action="http://endpoint.tracauws.gov.at.pt/OperacoesTransito/obterMensagensTransitoEntreguesResponse" message="tns:obterMensagensTransitoEntreguesResponse"/>
</operation>
</portType>
<binding name="OperacoesTransitoPortBinding" type="tns:OperacoesTransito">
<soap:binding transport="http://schemas.xmlsoap.org/soap/http" style="rpc"/>
<operation name="enviarMensagemTransito">
<soap:operation soapAction=""/>
<input>
<soap:body use="literal" namespace="http://endpoint.tracauws.gov.at.pt/"/>
</input>
<output>
<soap:body use="literal" namespace="http://endpoint.tracauws.gov.at.pt/"/>
</output>
</operation>
<operation name="obterMensagensTransitoNaoEntregues">
<soap:operation soapAction=""/>
<input>
<soap:body use="literal" namespace="http://endpoint.tracauws.gov.at.pt/"/>
</input>
<output>
<soap:body use="literal" namespace="http://endpoint.tracauws.gov.at.pt/"/>
</output>
</operation>
<operation name="obterEstadoDeclaracao">
<soap:operation soapAction=""/>
<input>
<soap:body use="literal" namespace="http://endpoint.tracauws.gov.at.pt/"/>
</input>
<output>
<soap:body use="literal" namespace="http://endpoint.tracauws.gov.at.pt/"/>
</output>
</operation>
<operation name="obterMensagensTransitoEntregues">
<soap:operation soapAction=""/>
<input>
<soap:body use="literal" namespace="http://endpoint.tracauws.gov.at.pt/"/>
</input>
<output>
<soap:body use="literal" namespace="http://endpoint.tracauws.gov.at.pt/"/>
</output>
</operation>
</binding>
<service name="OperacoesTransitoService">
<port name="OperacoesTransitoPort" binding="tns:OperacoesTransitoPortBinding">
<soap:address location="http://tracauws.ratransitodev.ritta.local:80/tracauws/TRACAU/OperacoesTransitoService"/>
</port>
</service>
</definitions>